vb cad 二次开发
程序开发前首先,引用AutoCAD2004 Type Library:在VB中选择“工程”→“引用”,在“引用”对话框中选择AutoCad2004 Type Library。其次,为应用程序 三、程序代码Dim acadapp As AcadApplication
Dim acaddoc As AcadDocument
Private Sub Command1_Click acaddoc.Regen True
'标注比例尺
textString="1:"+Combo1.Text
insertionPoint acaddoc.Regen True
'绘柱状
Dim hatchObj As AcadHatch
Dim ptnName As String
Dim ptnType As Long
Dim b As Boolean
Dim outerLoop ''创建填充的边界,画一个矩形
Dim SP SP(0)=Text3.Text/10
SP(1)=-((Text5.Text-Text4.Text)*10)/(Combo1.Text/100)
SP SP SP If Combo2.Text="煤"Then
textString=" textString=Text4.Text
insertionPoint acaddoc.Regen True
End If
''把填充边界传递给hatchObj对象,并显示填充
hatchObj.AppendOuterLoop acadapp.Visible=False
End Sub
Private Sub Form_Load()
On Error Resume Next
Set acadapp=GetObject("autocad.application")
If Err Then
Err.Clear
Set acadapp=CreateObject("autocad.application")
If Err Then
MsgBox Err.Description
Exit Sub
End If
End If
Form1.Caption="CAD连接成功!现在运行"+acadapp.Name+"版本号:"+acadapp.Version
acadapp.Visible=False
Set preference=acadapp.Preferences
Set acaddoc=acadapp.ActiveDocument
Set moSpace=acaddoc.modlespace
Set paspace=acaddoc.PaperSpace
'MsgBox("系统与CAD连接成功!"+"请按“确定”按钮")
End Sub
四、结束语
本文介绍了利用VB控制AutoCAD绘制地层剖面柱状图的方法,通过此简单的实例,帮助用户对基于VB对AutoCAD二次开发有更加明确的认识,同时起到抛砖引玉的作用,使得用户利用此方法绘制出更多复杂的CAD模型。
参考文献:
[1]李长勋.AutoCAD ActiveX二次开发技术.国防工业出版社,2005,6
[2]赵卫东,刘先辉,卫刚.CAD软件二次开发平台实现技术及计算机技术辅助设计与图形学报,2003,4:512-516